Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2DecimalExpression Class Reference

Base class for all decimal expressions inside an option graph. More...

`#include <Xabsl2DecimalExpression.h>`

Inheritance diagram for Xabsl2DecimalExpression:

[legend]
List of all members.

## Public Member Functions
virtual double | getValue ()=0
| Calculates the value of the decimal expression.
virtual | ~Xabsl2DecimalExpression ()=0
| Destructor.
## Static Public Member Functions
Xabsl2DecimalExpression * | create (Xabsl2InputSource &input, Xabsl2Option *subsequentOption, Xabsl2ErrorHandler &errorHandler, Xabsl2Array< double > &parameters, Xabsl2Symbols &symbols, unsigned long &timeOfOptionExecution, unsigned long &timeOfStateExecution)
| Creates a decimal expression depending on the input.
bool | createOperand (Xabsl2DecimalExpression *&operand, Xabsl2InputSource &input, Xabsl2Option *subsequentOption, Xabsl2ErrorHandler &errorHandler, Xabsl2Array< double > &parameters, Xabsl2Symbols &symbols, unsigned long &timeOfOptionExecution, unsigned long &timeOfStateExecution)
| Creates a decimal expression depending on the input.

## Detailed Description

Base class for all decimal expressions inside an option graph.

Author:
  Martin Lötzsch

Definition at line 27 of file Xabsl2DecimalExpression.h.

## Constructor & Destructor Documentation

Xabsl2DecimalExpression::~Xabsl2DecimalExpression | ( |  | ) | `[pure virtual]`

| Destructor. Definition at line 12 of file Xabsl2DecimalExpression.cpp.

## Member Function Documentation

virtual double Xabsl2DecimalExpression::getValue | ( |  | ) | `[pure virtual]`

| Calculates the value of the decimal expression. Implemented in Xabsl2DecimalInputSymbolRef, Xabsl2DecimalValue, Xabsl2OptionParameterRef, Xabsl2ArithmeticOperator, Xabsl2PlusOperator, Xabsl2MinusOperator, Xabsl2MultiplyOperator, Xabsl2DivideOperator, Xabsl2ModOperator, Xabsl2TimeRef, Xabsl2DecimalInputFunctionCall, and Xabsl2ConditionalExpression. Referenced by Xabsl2ConditionalExpression::getValue(), Xabsl2ModOperator::getValue(), Xabsl2DivideOperator::getValue(), Xabsl2MultiplyOperator::getValue(), Xabsl2MinusOperator::getValue(), Xabsl2PlusOperator::getValue(), Xabsl2GreaterThanOrEqualToOperator::getValue(), Xabsl2GreaterThanOperator::getValue(), Xabsl2LessThanOrEqualToOperator::getValue(), Xabsl2LessThanOperator::getValue(), Xabsl2NotEqualToOperator::getValue(), and Xabsl2EqualToOperator::getValue().

Xabsl2DecimalExpression * Xabsl2DecimalExpression::create | ( | Xabsl2InputSource & | input,
|  | Xabsl2Option * | subsequentOption,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Array< double > & | parameters,
|  | Xabsl2Symbols & | symbols,
|  | unsigned long & | timeOfOptionExecution,
|  | unsigned long & | timeOfStateExecution
| ) | `[static]`

  | Creates a decimal expression depending on the input. Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where a decimal expression starts.
  subsequentOption | The subsequent option of the state. 0 if the subsequent behavior is a basic behavior
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  parameters | The parameters of the option
  symbols | All available symbols
  timeOfOptionExecution | The time how long the option is already active
  timeOfStateExecution | The time how long the state is already active
Definition at line 16 of file Xabsl2DecimalExpression.cpp. References Xabsl2ArithmeticOperator::create(), createOperand(), Xabsl2ErrorHandler::error(), Xabsl2ErrorHandler::message(), Xabsl2InputSource::readString(), and XABSL2_DEBUG_INIT. Referenced by createOperand().

Here is the call graph for this function:

bool Xabsl2DecimalExpression::createOperand | ( | Xabsl2DecimalExpression *& | operand,
|  | Xabsl2InputSource & | input,
|  | Xabsl2Option * | subsequentOption,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Array< double > & | parameters,
|  | Xabsl2Symbols & | symbols,
|  | unsigned long & | timeOfOptionExecution,
|  | unsigned long & | timeOfStateExecution
| ) | `[static]`

  | Creates a decimal expression depending on the input. Used by the create() function to create decimal operands. Parameters:
  operand | The expression to be created
  input | An input source for the intermediate code. It must be opened and read until A position where a decimal operand starts.
  subsequentOption | The subsequent option of the state. 0 if the subsequent behavior is a basic behavior
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  parameters | The parameters of the option
  symbols | All available symbols
  timeOfOptionExecution | The time how long the option is already active
  timeOfStateExecution | The time how long the state is already active
Returns: If the creation was successful Definition at line 105 of file Xabsl2DecimalExpression.cpp. References create(), Xabsl2ErrorHandler::error(), and Xabsl2ErrorHandler::errorsOccurred. Referenced by create(), Xabsl2BooleanExpression::create(), Xabsl2ConditionalExpression::Xabsl2ConditionalExpression(), and Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.cpp